package com.itsoulos.languageselector;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.drawable.BitmapDrawable;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;

public class Language extends AppCompatActivity {
    LinearLayout mainLayout=null;
    ImageView greekFlag=null,usFlag=null;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mainLayout=new LinearLayout(this);
        setContentView(mainLayout);
        Global.makeGlobal(this);
        Bitmap bm1,bm2;
        bm1= BitmapFactory.decodeResource(getResources(), R.drawable.greek_flag);
        bm1=bm1.createScaledBitmap(bm1, Global.width/4, Global.height/8,true);
        bm2=BitmapFactory.decodeResource(getResources(), R.drawable.us_flag);
        bm2=bm2.createScaledBitmap(bm2, Global.width/4, Global.height/8,true);

        greekFlag=new ImageView(this);
        greekFlag.setImageBitmap(bm1);
        mainLayout.addView(greekFlag);
        usFlag=new ImageView(this);
        usFlag.setImageBitmap(bm2);
        mainLayout.addView(usFlag);
        LinearLayout.LayoutParams gparams=(LinearLayout.LayoutParams)greekFlag.getLayoutParams();
        gparams.leftMargin=Global.width/20;
        gparams.topMargin=Global.height/10;
        greekFlag.setLayoutParams(gparams);
        usFlag.setLayoutParams(gparams);
        greekFlag.setClickable(true);
        usFlag.setClickable(true);
        greekFlag.setOnClickListener(new View.OnClickListener()
        {

            @Override
            public void onClick(View arg0) {
                Global.language="greek";
                Intent I=new Intent(Language.this,MainActivity.class);
                startActivity(I);

            }

        });
        usFlag.setOnClickListener(new View.OnClickListener()
        {

            @Override
            public void onClick(View arg0) {
                Global.language="us";
                Intent I=new Intent(Language.this,MainActivity.class);
                startActivity(I);

            }

        });
    }
}
